{
  roles,
  hlConfig,
}:
{
  hostname = "git";
  managed = true;
  ip = "192.168.10.11";

  roles = with roles; [
    postgres
    podman

    forgejo
    forgejo-runner
  ];
  config = rec {
    forgejo.domain = "git.${hlConfig.domain}";
    forgejo-runner.url = "https://${forgejo.domain}";
  };
  stateVersion = "24.05";
}
